You are not logged in.

#2901 2011-04-15 10:48:34

mikesol
Member
From: Toulouse, France
Registered: 2011-02-01
Posts: 14

Re: The AMD/ATI Bar & Grill

hello guys,

I want to some help here please. I'm trying to install catalyst from repo (http://catalyst.apocalypsus.net/repo/catalyst/$arch)  and i get this

$ sudo pacman -S catalyst catalyst-utils
Password: 
resolving dependencies...
warning: dependency cycle detected:
warning: xorg-server-catalyst-maximize-fix will be installed before its catalyst-utils dependency
looking for inter-conflicts...
:: xorg-server-catalyst-maximize-fix and xorg-server are in conflict. Remove xorg-server? [y/N] y
:: xorg-server-catalyst-maximize-fix and xorg-server-common are in conflict. Remove xorg-server-common? [y/N] y
:: catalyst-utils and libgl are in conflict. Remove libgl? [y/N] y
:: catalyst and xf86-video-ati are in conflict. Remove xf86-video-ati? [y/N] y
:: catalyst and ati-dri are in conflict. Remove ati-dri? [y/N] y
:: xorg-server-catalyst-maximize-fix and xf86-input-evdev are in conflict (xorg-server<1.10.0). Remove xf86-input-evdev? [y/N] y
:: xorg-server-catalyst-maximize-fix and xf86-input-keyboard are in conflict (xorg-server<1.10.0). Remove xf86-input-keyboard? [y/N] y
:: xorg-server-catalyst-maximize-fix and xf86-input-mouse are in conflict (xorg-server<1.10.0). Remove xf86-input-mouse? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: xorg-server-catalyst-maximize-fix: requires xf86-input-evdev

Anyone with the same issue? Why there is a conflct with xf86-input-evdev, xf86-input-keyboard and xf86-input-mouse?

Thanks.


--
Sorry for my English.

Offline

#2902 2011-04-15 10:49:23

mikesol
Member
From: Toulouse, France
Registered: 2011-02-01
Posts: 14

Re: The AMD/ATI Bar & Grill

Double post.. Sorry about that, please if someone could erase it.

Last edited by mikesol (2011-04-15 10:52:24)


--
Sorry for my English.

Offline

#2903 2011-04-15 10:51:59

snack
Member
From: Italy
Registered: 2009-01-13
Posts: 671

Re: The AMD/ATI Bar & Grill

mikesol wrote:

hello guys,

I want to some help here please. I'm trying to install catalyst from repo (http://catalyst.apocalypsus.net/repo/catalyst/$arch)  and i get this

$ sudo pacman -S catalyst catalyst-utils
Password: 
resolving dependencies...
warning: dependency cycle detected:
warning: xorg-server-catalyst-maximize-fix will be installed before its catalyst-utils dependency
looking for inter-conflicts...
:: xorg-server-catalyst-maximize-fix and xorg-server are in conflict. Remove xorg-server? [y/N] y
:: xorg-server-catalyst-maximize-fix and xorg-server-common are in conflict. Remove xorg-server-common? [y/N] y
:: catalyst-utils and libgl are in conflict. Remove libgl? [y/N] y
:: catalyst and xf86-video-ati are in conflict. Remove xf86-video-ati? [y/N] y
:: catalyst and ati-dri are in conflict. Remove ati-dri? [y/N] y
:: xorg-server-catalyst-maximize-fix and xf86-input-evdev are in conflict (xorg-server<1.10.0). Remove xf86-input-evdev? [y/N] y
:: xorg-server-catalyst-maximize-fix and xf86-input-keyboard are in conflict (xorg-server<1.10.0). Remove xf86-input-keyboard? [y/N] y
:: xorg-server-catalyst-maximize-fix and xf86-input-mouse are in conflict (xorg-server<1.10.0). Remove xf86-input-mouse? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: xorg-server-catalyst-maximize-fix: requires xf86-input-evdev

Anyone with the same issue? Why there is a conflct with xf86-input-evdev, xf86-input-keyboard and xf86-input-mouse?

Thanks.

It's because catalyst from repo is not compatible with xorg-server 1.10. You should add to your pacman.conf the xorg19 repo as explained in the wiki:

https://wiki.archlinux.org/index.php/AT … Bxorg19.5D

Offline

#2904 2011-04-15 12:06:49

mikesol
Member
From: Toulouse, France
Registered: 2011-02-01
Posts: 14

Re: The AMD/ATI Bar & Grill

snack wrote:

It's because catalyst from repo is not compatible with xorg-server 1.10. You should add to your pacman.conf the xorg19 repo as explained in the wiki:

https://wiki.archlinux.org/index.php/AT … Bxorg19.5D

Thanks for your answer. I did it and it works nice.


--
Sorry for my English.

Offline

#2905 2011-04-17 15:00:59

Cdh
Member
Registered: 2009-02-03
Posts: 1,098

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:

- install catalyst-test package which have xorg-server 1.10 support, but know that it lacks vaapi support

At least now this isn't true for me:

chris@chrisl ~ % pacman -Q catalyst-test
catalyst-test 11.4-111
chris@chrisl ~ % mplayer -vo vaapi -va vaapi filme/sherlock_holmes.bluray.720p.eng.ger.mkv
MPlayer SVN-r33161-4.5.2 (C) 2000-2011 MPlayer Team
162 audio & 354 video codecs
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.

Playing filme/sherlock_holmes.bluray.720p.eng.ger.mkv.
libavformat file format detected.
[matroska,webm @ 0x287d2d0] max_analyze_duration reached
[matroska,webm @ 0x287d2d0] Estimating duration from bitrate, this may be inaccurate
[lavf] stream 0: audio (ac3), -aid 0, -alang eng, English
[lavf] stream 1: audio (ac3), -aid 1, -alang ger, German
[lavf] stream 2: subtitle (dvdsub), -sid 0, -slang eng, English
[lavf] stream 3: subtitle (dvdsub), -sid 1, -slang ger, German
[lavf] stream 4: video (h264), -vid 0, Sherlock Holmes 720p
VIDEO:  [H264]  1280x720  0bpp  23.976 fps    0.0 kbps ( 0.0 kbyte/s)
Clip info:
 title: Sherlock Holmes 720p
Load subtitles in filme/
libva: libva version 0.32.0
Xlib:  extension "XFree86-DRI" missing on display ":0.0".
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/dri/fglrx_drv_video.so
libva: va_openDriver() returns 0
==========================================================================
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
[VD_FFMPEG] VA API accelerated codec.
Selected video codec: [ffh264] vfm: ffmpeg (FFmpeg H.264)
==========================================================================
==========================================================================
Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders
AUDIO: 48000 Hz, 2 ch, s16le, 448.0 kbit/29.17% (ratio: 56000->192000)
Selected audio codec: [ffac3] afm: ffmpeg (FFmpeg AC-3)
==========================================================================
[AO SDL] Samplerate: 48000Hz Channels: Stereo Format s16le
AO: [sdl] 48000Hz 2ch s16le (2 bytes per sample)
Starting playback...
Unsupported PixelFormat 61
[VD_FFMPEG] Trying pixfmt=1.
Movie-Aspect is 1.78:1 - prescaling to correct movie aspect.
VO: [vaapi] 1280x720 => 1280x720 H.264 VA-API Acceleration 
[VD_FFMPEG] XVMC-accelerated MPEG-2.
A:   3.1 V:   3.0 A-V:  0.006 ct:  0.042   0/  0 10% 11%  0.7% 1 0 

And it plays just fine.


฿ 18PRsqbZCrwPUrVnJe1BZvza7bwSDbpxZz

Offline

#2906 2011-04-18 11:23:27

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,299
Website

Re: The AMD/ATI Bar & Grill

@Cdh: thanks, ufff... now i know i didn't screw up repacking wink
It's still not working for me.
Can you remind what radeon you got there?
I suppouse that also your libva and xvba-video are in newest versions? (i can see that mplayer-vaapi is)

Offline

#2907 2011-04-18 12:37:38

Cdh
Member
Registered: 2009-02-03
Posts: 1,098

Re: The AMD/ATI Bar & Grill

chris@chrisl ~ % pacman -Q libva
libva 1.0.12-1
chris@chrisl ~ % pacman -Q xvba-video
xvba-video 0.7.8-3
chris@chrisl ~ % vainfo
libva: libva version 0.32.0
Xlib:  extension "XFree86-DRI" missing on display ":0.0".
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/dri/fglrx_drv_video.so
libva: va_openDriver() returns 0
vainfo: VA API version: 0.32
vainfo: Driver version: Splitted-Desktop Systems XvBA backend for VA-API - 0.7.8
vainfo: Supported profile and entrypoints
      VAProfileH264High               :    VAEntrypointVLD
      VAProfileVC1Advanced            :    VAEntrypointVLD
chris@chrisl ~ % lspci | grep VGA
02:00.0 VGA compatible controller: ATI Technologies Inc Redwood [Radeon HD 5600 Series]
chris@chrisl ~ %                                                                                                                                                                                                                                           

Actually it is a 6550m but it is only a renamed 5650m (damn you, mimicking nvidia) and even amdcccle tells me "ATI Mobility Radeon HD 5000 Series".


฿ 18PRsqbZCrwPUrVnJe1BZvza7bwSDbpxZz

Offline

#2908 2011-04-27 10:46:28

tarakbumba
Member
From: Turkiye
Registered: 2008-07-17
Posts: 72

Re: The AMD/ATI Bar & Grill

Hi. I have successfuly installed catalyst-test package and xorg-server-catalyst-maximize-fix-test package as dependency on my 64bit Arch install. Also Xorg 1.10 and xf86-input-evdev, xf86-input-mouse, xf86-input-keyboard have been installed. System booted nicely and logged in KDE. But i can't get neither mouse nor keyboard work. I have removed kdm from /etc/rc.conf using Arch setup CD, rebooted into tty1 and tried to purge xorg.conf, regenerate via ati-confg --initial. But no success. There is no mouse or keyboard on X. Is there something wrong with catalyst, packgaging or me?

Last edited by tarakbumba (2011-04-27 10:48:14)


Say what you mean, mean what you say

Offline

#2909 2011-04-27 11:24:31

the sad clown
Member
From: 192.168.0.X
Registered: 2011-03-20
Posts: 833

Re: The AMD/ATI Bar & Grill

Have you tried removing the xorg catalyst maximize package and just use the repo xorg?  I am using the catalyst-test package and haven't had any problems, but I don't have any experience with the AUR xorg package.  Also, the PKGBUILD says it should conflict with repo xorg, so I'm not sure what you mean by "also xorg 1.10...has been installed".


I laugh, yet the joke is on me

Offline

#2910 2011-04-27 15:46:54

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,299
Website

Re: The AMD/ATI Bar & Grill

catalyst 11.4 is on amd's server. I'm building packages for it...

- surprisingly it supports xserver 1.10
- got officiall 2.6.38 kernel support
- vaapi isn't working for me (just like with catalyst-test)

Soon, after testing hook and daemon i will update AUR (edit: done), and then repo ofcourse.

Edit:
Now all catalyst packages got 2.6.39 patches.

I've removed catalyst-test from [catalyst] repo because 11.4 is slightly newer.
Instead xorg-server-catalyst-maximize-fix there is xorg-server-catalyst-maximize-fix-test - simply because i don't want to waste my time in recompiling it just to rename it (xorg-server-catalyst-maximize-fix-test was prepeared for catalyst-test)... It's name will be normal again as soon as new xorg-server will be released.


Both catalyst 11.3 and catalyst-test were moved to [catalyst-11.3] repository

Last edited by Vi0L0 (2011-04-27 18:31:40)

Offline

#2911 2011-04-27 19:58:16

scullder
Member
Registered: 2011-04-27
Posts: 21

Re: The AMD/ATI Bar & Grill

Thank you Vi0L0 ! smile
I've just updated. I've installed xorg-server from extra and I don't see the maximize bug anymore.

Offline

#2912 2011-04-28 05:38:07

csslayer
Member
Registered: 2009-03-05
Posts: 84

Re: The AMD/ATI Bar & Grill

Seems 11.4 has powerxpress support? How can test it?

Offline

#2913 2011-04-28 07:06:56

snack
Member
From: Italy
Registered: 2009-01-13
Posts: 671

Re: The AMD/ATI Bar & Grill

11.4 together with xorg-server 1.10 is working bad for me. Kwin is very slow in moving windows and compositing does not work anymore. I deleted /etc/ati/amdpcsdb after install, tried "sudo aticonfig --set-pcs-str=DDX,ForceXAA,TRUE" but without any result. My VGA is Mobility 3470, my system runs an i686 2.6.38.4-1 pae kernel compiled from AUR.
Can anyone confirm this? 11.3 whit xorg-server 1.9 worked well until this morning upgrade to 11.4 and 1.10...

Edit: after rebooting everything is fine again.

Last edited by snack (2011-04-28 07:32:56)

Offline

#2914 2011-04-28 10:10:14

jceasless
Member
Registered: 2009-04-20
Posts: 73

Re: The AMD/ATI Bar & Grill

Using catalyst-test from AUR I am getting a complete system freeze on waking from suspend-to-ram. Everything else on the computer is stock Arch packages (not testing or outside repositories). I am using GNOME with Compiz.

Hate switching to the catalyst driver, but it seems that the xorg ATI driver + the 2.6.38 power consumption regression = overheating + hard freezes  sad

Is anyone else seeing anything like this?

Offline

#2915 2011-04-28 10:18:31

snack
Member
From: Italy
Registered: 2009-01-13
Posts: 671

Re: The AMD/ATI Bar & Grill

jceasless wrote:

Using catalyst-test from AUR I am getting a complete system freeze on waking from suspend-to-ram. Everything else on the computer is stock Arch packages (not testing or outside repositories). I am using GNOME with Compiz.

Hate switching to the catalyst driver, but it seems that the xorg ATI driver + the 2.6.38 power consumption regression = overheating + hard freezes  sad

Is anyone else seeing anything like this?

I tried just now, wake up from suspend-to-ram works nicely for me (catalyst 11.04, kernel 2.6.38.4-pae from AUR, xorg-server 1.10.1). Some time ago I had similar wake up issues, introduced with a previous kernel release. I solved it by adding the option "acpi_sleep=nonvs" to grub.cfg (ur menu.lst if you use grub1):

linux /boot/vmlinuz26 root=/dev/disk/by-uuid/a6010950-6a72-4422-98a3-0e9f7e2a49f7 ro nomodeset acpi_sleep=nonvs

I don't know if it will solve your problem, nor if with the current kernel this option is still needed. But nevertheless I would give it a try...

Offline

#2916 2011-04-28 12:50:48

bart_vv
Member
From: Poland
Registered: 2011-04-12
Posts: 35

Re: The AMD/ATI Bar & Grill

csslayer wrote:

Seems 11.4 has powerxpress support? How can test it?

I am also interested - the main reason I wasn't using catalyst was due to lack of graphics switching support. Unfortunately phoronix said that it is only "first bits of support", so I guess we will have to wait for 11.5 for everything working flawlessly.

Offline

#2917 2011-04-28 15:02:08

csslayer
Member
Registered: 2009-03-05
Posts: 84

Re: The AMD/ATI Bar & Grill

bart_vv wrote:
csslayer wrote:

Seems 11.4 has powerxpress support? How can test it?

I am also interested - the main reason I wasn't using catalyst was due to lack of graphics switching support. Unfortunately phoronix said that it is only "first bits of support", so I guess we will have to wait for 11.5 for everything working flawlessly.

Ok, I have done some test, but didn't success.
I'll point out some trick need to be applied, if any one interested in this.

First I found some option in aticonfig with --px:
--pxl / --px-list-active-gpu
--px-dgpu
--px-igpu
These seems to set which gpu to use.

I have gateway i43a06c, it has radeon mobility 4250 and 5470. (Actually it's perfect for test, because if you want to switch between different manufacturer, you need nvidia-utils/ libgl and intel-dri / catalyst-utils installed, for currently archlinux package scheme is not possible to do this, they have file conflict.)
First problem I met is that aticonfig only try to use /usr/lib64 to search fglrx-libglx.so, so I use okteta (KDE's hex editor) to modify the string in binary to make it works.
And if I try to use --px-dgpu / --px-igpu, it will replace the link /usr/lib/xorg/modules/extensions/libglx.so to a unexist backup libglx.so file (It will exist if you don't use AUR's package but offical installer. ). So I manually use a simlink (I forget the so file name, something like FGL.backup.libglx.so) to fglrx-libglx.so to fake the unexist so, because my integrated card is also ati.
So I play all the trick to make aticonfig's option to work, but Xorg only use 4250 under switchable mode ( seems a PCI BusID problem? 4250 is 1:0:5 and 5470 is 2:0:0, but manually specify in xorg.conf not works).

Finally I gave up, at least I can set it via bios.

Last edited by csslayer (2011-04-28 15:03:56)

Offline

#2918 2011-04-28 20:57:45

ANOKNUSA
Member
Registered: 2010-10-22
Posts: 2,141

Re: The AMD/ATI Bar & Grill

axed wrote:

Hello guys, is it normal that xf86-video-vesa runs far better then any xf86-video-ati & ati-git drivers ? o.O
With vesa my laptop doesn't overheat and runs as all the desktop-effect even smoother o.O
( ati radeon M4830 )

A few points:

1. I think this thread is just intended for issues with the proprietary drivers.

2.  The overheating is due to the fact that the open-source driver runs at 100% capacity by default; check the wiki for more info on power saving.

3. "Runs better than X" isn't a very descriptive statement, so it's difficult to offer any advice.  Best to start a separate thread with more specific info.

Offline

#2919 2011-04-29 10:25:17

tarakbumba
Member
From: Turkiye
Registered: 2008-07-17
Posts: 72

Re: The AMD/ATI Bar & Grill

the sad clown wrote:

Have you tried removing the xorg catalyst maximize package and just use the repo xorg?  I am using the catalyst-test package and haven't had any problems, but I don't have any experience with the AUR xorg package.  Also, the PKGBUILD says it should conflict with repo xorg, so I'm not sure what you mean by "also xorg 1.10...has been installed".

I mean to, xorg related packges were installed except xorg-server and xorg-common. Thanks for trying to help. New catalyst-11.4 works with usual xorg-server and related packages now. Except vaapi won't work, as discussed above messages.


Say what you mean, mean what you say

Offline

#2920 2011-04-29 12:12:00

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,299
Website

Re: The AMD/ATI Bar & Grill

@csslayer: powerxpress support
thanks for feedback, and good idea with hex editing aticonfig.

I'm surprised that catalyst isn't able to perform switch from one ati card into another... i always though that it should do this automagically whenever it needs more/less power...

(please notice that i will be talking about catalyst arch package)
I've been looking at this whole thing yesterday, in theory (i dont have any powerXpress hw, or notebook) it looks very easy:

from https://lists.launchpad.net/ubuntu-x-sw … 16407.html:

Anton wrote:

I've seen that when trying to change cards aticonfig expects
/usr/lib/xorg/modules/extensions/libglx.so to be a link
By changing it to a link, and trying again, you discover the names of
the linked files in each mode, and they are (supposed to be):

/usr/lib/xorg/modules/extensions/FGL.renamed.libglx.so for the original
libglx.so mesa file with --px-igpu and
/usr/lib/xorg/modules/extensions/fglrx/fglrx-libglx.so for the fglrx
libglx.so with --px-dgpu
and copying/linking these files you can avoid the Fail in aticonfig.

i did this:

ls -al /usr/lib/xorg/modules/extensions/*                                                                                        
-rwxr-xr-x 1 root root  20120 04-16 14:02 /usr/lib/xorg/modules/extensions/libdbe.so                                                                         
-rwxr-xr-x 1 root root  21944 04-16 14:02 /usr/lib/xorg/modules/extensions/libdri2.so                                                                        
-rwxr-xr-x 1 root root  44536 04-16 14:02 /usr/lib/xorg/modules/extensions/libdri.so                                                                         
-rwxr-xr-x 1 root root 107376 04-16 14:02 /usr/lib/xorg/modules/extensions/libextmod.so                                                                      
lrwxrwxrwx 1 root root     54 04-28 22:01 /usr/lib/xorg/modules/extensions/libglx.so -> /usr/lib/xorg/modules/extensions/fglrx/fglrx-libglx.so               
-rwxr-xr-x 1 root root 437224 04-16 14:02 /usr/lib/xorg/modules/extensions/libglx.xorg                                                                       
-rwxr-xr-x 1 root root  29528 04-16 14:02 /usr/lib/xorg/modules/extensions/librecord.so                                                                      
                                                                                                                                                             
/usr/lib/xorg/modules/extensions/fglrx:                                                                                                                      
total 684                                                                                                                                                    
drwxr-xr-x 1 root root     30 04-28 22:01 .                                                                                                                  
drwxr-xr-x 1 root root    154 04-29 00:00 ..                                                                                                                 
-rwxr-xr-x 1 root root 700280 04-28 22:01 fglrx-libglx.so  

it looks good, but Fail still occurs, so aticonfig isn't able to make a symlinks and so whole powerXpress support fails.
It also Fails in same way if i will change path /usr/lib64 to /usr/lib in aticonfig with hex editor...

This whole switch thing is offcourse conflicting with libgl package into which libGL and libglx libraries belongs, but i'm pretty sure that we can easily change it by some simple changes in catalyst-utils PKGBUILD.
I can also write some switch script able to make symlinks, it should switch between ie. catalyst and intel drivers whenever you will run script and restart X, although i'm not sure how it will work with KMS, and AFAIK intel needs KMS to work. I also don't know how aticonfig is doing this, or even is it doing this - there's not much info about it on the net, although there is a lot of users complaining that it's not working at all.

This powerXpress support really is an early look, but i will appriciate any help in removing this Fail from aticonfig - this should be a good start wink

Offline

#2921 2011-04-29 14:47:48

csslayer
Member
Registered: 2009-03-05
Posts: 84

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:

@csslayer: powerxpress support
thanks for feedback, and good idea with hex editing aticonfig.

I'm surprised that catalyst isn't able to perform switch from one ati card into another... i always though that it should do this automagically whenever it needs more/less power...

(please notice that i will be talking about catalyst arch package)
I've been looking at this whole thing yesterday, in theory (i dont have any powerXpress hw, or notebook) it looks very easy:

from https://lists.launchpad.net/ubuntu-x-sw … 16407.html:

Anton wrote:

I've seen that when trying to change cards aticonfig expects
/usr/lib/xorg/modules/extensions/libglx.so to be a link
By changing it to a link, and trying again, you discover the names of
the linked files in each mode, and they are (supposed to be):

/usr/lib/xorg/modules/extensions/FGL.renamed.libglx.so for the original
libglx.so mesa file with --px-igpu and
/usr/lib/xorg/modules/extensions/fglrx/fglrx-libglx.so for the fglrx
libglx.so with --px-dgpu
and copying/linking these files you can avoid the Fail in aticonfig.

i did this:

ls -al /usr/lib/xorg/modules/extensions/*                                                                                        
-rwxr-xr-x 1 root root  20120 04-16 14:02 /usr/lib/xorg/modules/extensions/libdbe.so                                                                         
-rwxr-xr-x 1 root root  21944 04-16 14:02 /usr/lib/xorg/modules/extensions/libdri2.so                                                                        
-rwxr-xr-x 1 root root  44536 04-16 14:02 /usr/lib/xorg/modules/extensions/libdri.so                                                                         
-rwxr-xr-x 1 root root 107376 04-16 14:02 /usr/lib/xorg/modules/extensions/libextmod.so                                                                      
lrwxrwxrwx 1 root root     54 04-28 22:01 /usr/lib/xorg/modules/extensions/libglx.so -> /usr/lib/xorg/modules/extensions/fglrx/fglrx-libglx.so               
-rwxr-xr-x 1 root root 437224 04-16 14:02 /usr/lib/xorg/modules/extensions/libglx.xorg                                                                       
-rwxr-xr-x 1 root root  29528 04-16 14:02 /usr/lib/xorg/modules/extensions/librecord.so                                                                      
                                                                                                                                                             
/usr/lib/xorg/modules/extensions/fglrx:                                                                                                                      
total 684                                                                                                                                                    
drwxr-xr-x 1 root root     30 04-28 22:01 .                                                                                                                  
drwxr-xr-x 1 root root    154 04-29 00:00 ..                                                                                                                 
-rwxr-xr-x 1 root root 700280 04-28 22:01 fglrx-libglx.so  

it looks good, but Fail still occurs, so aticonfig isn't able to make a symlinks and so whole powerXpress support fails.
It also Fails in same way if i will change path /usr/lib64 to /usr/lib in aticonfig with hex editor...

This whole switch thing is offcourse conflicting with libgl package into which libGL and libglx libraries belongs, but i'm pretty sure that we can easily change it by some simple changes in catalyst-utils PKGBUILD.
I can also write some switch script able to make symlinks, it should switch between ie. catalyst and intel drivers whenever you will run script and restart X, although i'm not sure how it will work with KMS, and AFAIK intel needs KMS to work. I also don't know how aticonfig is doing this, or even is it doing this - there's not much info about it on the net, although there is a lot of users complaining that it's not working at all.

This powerXpress support really is an early look, but i will appriciate any help in removing this Fail from aticonfig - this should be a good start wink

I don't know whether how you change the hex string, but I adjust it carefully to make sure the file length doesn't change.
Here is my aticonfig (x86_64): http://csslayer-aur-repo.googlecode.com/files/aticonfig

Actually I also do some strace:
Runs with --px-dgpu:

write(1, "PowerXpress: Discrete GPU is sel"..., 114PowerXpress: Discrete GPU is selected (High-Performance mode), please restart Xserver for changes to take effect!
) = 114
lstat("/usr/lib/xorg/modules/extensions/libglx.so", {st_mode=S_IFLNK|0777, st_size=21, ...}) = 0
readlink("/usr/lib/xorg/modules/extensions/libglx.so", "fglrx/fglrx-libglx.so", 256) = 21
open("/etc/ati/amdpcsdb", O_WRONLY|O_CREAT|O_TRUNC, 0666) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0

Runs with --px-igpu:

write(1, "PowerXpress: Integrated GPU is s"..., 112PowerXpress: Integrated GPU is selected (Power-Saving mode), please restart Xserver for changes to take effect!
) = 112
lstat("/usr/lib/xorg/modules/extensions/libglx.so", {st_mode=S_IFLNK|0777, st_size=21, ...}) = 0
readlink("/usr/lib/xorg/modules/extensions/libglx.so", "fglrx/fglrx-libglx.so", 256) = 21
unlink("/usr/lib/xorg/modules/extensions/libglx.so") = 0
symlink("FGL.renamed.libglx.so", "/usr/lib/xorg/modules/extensions/libglx.so") = 0
open("/etc/ati/amdpcsdb", O_WRONLY|O_CREAT|O_TRUNC, 0666) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0

Obviously it just simple modified the symlink of libglx.so.

And aticonfig use /etc/ati/amdpcsdb to justify which gpu to use:

--- d   2011-04-29 22:39:20.756758496 +0800
+++ i   2011-04-29 22:38:52.480090577 +0800
@@ -31,7 +31,7 @@
 DisableLoadBalancing=V1
 DisablePassiveStereo=V0
 RequestMSI=STRUE
-PX_ACTIVEGPU=SDISCRETE
+PX_ACTIVEGPU=SINTEGRATED
 EnableTearFreeDesktop=V0
 [AMDPCSROOT/SYSTEM/DDX/RECENTMODE]
 EnableRestore=V1

Modify it by hand can also get same effect. I think all the things that aticonfig do is 1. change symlink, 2. modify amdpcsdb.
Actually I would like to test with kubuntu next, maybe it can works on kubuntu...

Offline

#2922 2011-04-29 18:58:26

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,299
Website

Re: The AMD/ATI Bar & Grill

csslayer wrote:

I don't know whether how you change the hex string, but I adjust it carefully to make sure the file length doesn't change.
Here is my aticonfig (x86_64): http://csslayer-aur-repo.googlecode.com/files/aticonfig

File length must be the same - otherwise it won't work at all. The difference was that i puted double zeros before /usr/lib(*) string, and you puted it after this string smile. And yes - your solution works well.
I guess i will made bspatch for it and put it into catalyst-utils package when/if i will be sure that powerXpress switch is working.
On the other hand i'm not sure is it corresponding with Arch Philosophy to rename libglx.so from libgl package and to make libglx.so a symlink - in fact i'm sure it's miles from our philosophy - but oh well... we will see.
I think that i can do some tests in switching catalyst / oss ati driver.

csslayer wrote:

Modify it by hand can also get same effect. I think all the things that aticonfig do is 1. change symlink, 2. modify amdpcsdb.

It surelly looks so. It doesn't even tries to switch libGL - which is pretty strange.
So AMD did an old trick known in linux community for ages - linking libs - only amdpcsdb entry is something new.
I'm still not sure how can it work with KMS - as soon as i'll find more time i will try to test that with oss driver.


Great work! Thanks

Offline

#2923 2011-04-30 00:57:47

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,299
Website

Re: The AMD/ATI Bar & Grill

vaapi is working again! smile

All thanks go to Dhiru Kholia who sent me a fix.

xvba-video package in [catalyst] repository is already updated.
It contains new file /etc/profile.d/xvba.sh :

LIBVA_DRIVER_NAME=xvba
export LIBVA_DRIVER_NAME
LIBVA_DRIVERS_PATH=/usr/lib/dri/ 
export LIBVA_DRIVERS_PATH

After installing/updating it you probably need to relogin so changes can take effect.
It surely is working for me.
I noticed that in smplayer it's better to choose vaapi (not vaapi:gl) in Options->Preferences->General->Video.

Offline

#2924 2011-04-30 09:19:12

k_ibou
Member
From: Costa Rica
Registered: 2009-06-09
Posts: 101

Re: The AMD/ATI Bar & Grill

Hi everyone, I just get a AMD card and I very happy with it but I need some help please.

I'm following the ATI Catalyst entry in wiki.

It went fine until this:

# aticonfig --initial

No protocol specified
Found fglrx primary device section
Fail to link to fglrx-libglx.so, please check whether driver is installed correctly
Using /etc/X11/xorg.conf
Saving back-up to /etc/X11/xorg.conf.fglrx-4

and also this:

# aticonfig -v

No protocol specified
Using /etc/X11/xorg.conf
Saving back-up to /etc/X11/xorg.conf.fglrx-5

I notice that every time runing those commands it create a new xorg.conf.fglrx-# I delete those files because I don't know what am I doing.... sad

is that normal or I missing something? my card its a HD 6850.

Then, should I use AUR packages or use Catalyst's repositories?

And finally, vlc it's not working anymore do I have to do something to have hardware acceleration?
By the way, I installed mplayer-vaapi and I get flickering when it's in fullscreen.

Thanks and sorry for the long post tongue

Offline

#2925 2011-04-30 11:13:43

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,299
Website

Re: The AMD/ATI Bar & Grill

@k_ibou:
forget about 'aticonfig -v' ;P. You only need one /etc/X11/xorg.conf file with fglrx in it, you may safely remove backups.

AUR or [catalyst] repo : there shall be no difference in built packages, with repo you will have to download 3x less bits.

VLC : Preferences -> Input & Codecs -> Use GPU acceleration

mplayer-vaapi's acceleration is better.

For tear free video either :
- don't forget to enable v-sync in amdcccle: 3D -> More Settings -> Wait for vertical refresh = Always On
- or run amdcccle and go to: Display Options ~~> Tear Free   (this one should remove tearing from any application)

It's described better in wiki smile

Last edited by Vi0L0 (2011-04-30 11:35:43)

Offline

Board footer

Powered by FluxBB